## open5gs 2.7.6

=== meson_options.txt ===
option('fuzzing', type: 'boolean', value: false, description: 'Enable fuzzing tests')
option('lib_fuzzing_engine', type : 'string', value : '', description : 'Path to the libFuzzer engine library')

=== subprojects/freeDiameter/extensions/CMakeLists.txt ===
PROJECT("freeDiameter extensions" C)

# We want all resulting objects in the same folder
SET(LIBRARY_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

# Use the macro FD_ADD_EXTENSION(name files...) to create an extension
# It is equivalent to add_library with the appropriate parameters
# and naming conventions (.fdx : FreeDiameter eXtension)
MACRO(FD_ADD_EXTENSION EXTNAME)
  ADD_LIBRARY(${EXTNAME} MODULE ${ARGN})
  SET_TARGET_PROPERTIES(${EXTNAME} PROPERTIES PREFIX "" )
  SET_TARGET_PROPERTIES(${EXTNAME} PROPERTIES SUFFIX ".fdx" )
  SET_TARGET_PROPERTIES(${EXTNAME} PROPERTIES C_VISIBILITY_PRESET hidden )
  SET_TARGET_PROPERTIES(${EXTNAME} PROPERTIES CXX_VISIBILITY_PRESET hidden )
ENDMACRO(FD_ADD_EXTENSION)

# Use the macro FD_EXTENSION_SUBDIR(extmacroname subdir descr default) to
# add a new extension subdirectory.
MACRO(FD_EXTENSION_SUBDIR EXTSUBDIR EXTDESCR EXTDEFAULT)
   STRING(TOUPPER ${EXTSUBDIR} EXTMACRONAME)
   IF (NOT ALL_EXTENSIONS)
     OPTION(BUILD_${EXTMACRONAME} "Build ${EXTSUBDIR}.fdx? (${EXTDESCR})" ${EXTDEFAULT})
   ENDIF (NOT ALL_EXTENSIONS)
   IF (BUILD_${EXTMACRONAME} OR ALL_EXTENSIONS)
      SUBDIRS(${EXTSUBDIR})
   ENDIF (BUILD_${EXTMACRONAME} OR ALL_EXTENSIONS)
ENDMACRO(FD_EXTENSION_SUBDIR)

OPTION(ALL_EXTENSIONS "Build ALL available extensions? (disable to select individual components)" OFF)

# The extensions include the headers of freeDiameter that contains gnutls objects
INCLUDE_DIRECTORIES(${LFDCORE_INCLUDES})


###########################
# Extensions section

####
# Diameter applications dictionaries

FD_EXTENSION_SUBDIR(dict_nasreq "NASREQ (RFC4005) Dictionary definitions"       ON)
FD_EXTENSION_SUBDIR(dict_eap    "Diameter EAP (RFC4072) Dictionary definitions" ON)

FD_EXTENSION_SUBDIR(dict_dcca         "Diameter CC (RFC4006) Dictionary definitions [incomplete]" ON)
FD_EXTENSION_SUBDIR(dict_dcca_3gpp    "Diameter CC 3GPP Dictionary definitions [incomplete]" ON)
FD_EXTENSION_SUBDIR(dict_dcca_starent "Diameter CC Starent Dictionary definitions" ON)

FD_EXTENSION_SUBDIR(dict_sip    "Diameter SIP (RFC4740) Dictionary definitions" ON)

FD_EXTENSION_SUBDIR(dict_mip6a     "Diameter Mobile IPv6 Auth Dictionary definitions"         ON)
FD_EXTENSION_SUBDIR(dict_mip6i     "Diameter Mobile IPv6 IKE Dictionary definitions"          ON)
FD_EXTENSION_SUBDIR(dict_nas_mipv6 "Diameter NAS-to-HAAA Interaction Dictionary definitions"  ON)
FD_EXTENSION_SUBDIR(dict_rfc5777   "Classification and QoS (RFC 5777) Dictionary definitions" ON)

FD_EXTENSION_SUBDIR(dict_json       "Load Diameter dictionary definitions from JSON files."   OFF)
FD_EXTENSION_SUBDIR(dict_legacy_xml "Load Diameter dictionary definitions from XML files."    OFF)


####
# Diameter applications

FD_EXTENSION_SUBDIR(app_acct    "Simple accounting application that stores accounting records in flat database" OFF)
FD_EXTENSION_SUBDIR(app_diameap "Diameter EAP Application server (RFC 4072)" 					OFF)
FD_EXTENSION_SUBDIR(app_radgw   "RADIUS/Diameter gateway translation - RADIUS client to Diameter server" 	OFF)
FD_EXTENSION_SUBDIR(app_sip     "Diameter SIP Authentication and Authorization server (RFC 4740)" 		OFF)

FD_EXTENSION_SUBDIR(app_redirect "Diameter Redirect server: send configurable Redirect indications to other peers" OFF)


####
# Routing extensions

FD_EXTENSION_SUBDIR(rt_busypeers    "Handling of Diameter TOO_BUSY messages and relay timeouts"	ON)
FD_EXTENSION_SUBDIR(rt_default      "Configurable routing rules for freeDiameter" 		     	ON)
FD_EXTENSION_SUBDIR(rt_deny_by_size "Deny messages that are larger than a configured size" 		     	ON)
FD_EXTENSION_SUBDIR(rt_ereg         "Configurable routing based on regexp matching of AVP values" OFF)
FD_EXTENSION_SUBDIR(rt_ignore_dh    "Stow Destination-Host in Proxy-Info, restore to Origin-Host for answers"	ON)
FD_EXTENSION_SUBDIR(rt_load_balance "Balance load over multiple equal hosts, based on outstanding requests"	ON)
FD_EXTENSION_SUBDIR(rt_randomize    "Randomly choose one of the highest scored hosts and increase its score by one"	ON)
FD_EXTENSION_SUBDIR(rt_redirect     "Handling of Diameter Redirect messages" 			ON)
FD_EXTENSION_SUBDIR(rt_rewrite      "Convert/remove AVP data in messages" 			ON)


####
# Peers security extensions

FD_EXTENSION_SUBDIR(acl_wl "White-list based authorization of incoming connections" ON)


####
# Debug & test extensions

FD_EXTENSION_SUBDIR(dbg_dict_dump   "Log dictionary dump"                            ON)
FD_EXTENSION_SUBDIR(dbg_dict_dump_json   "Dump dictionary as JSON"                            OFF)
FD_EXTENSION_SUBDIR(dbg_loglevel "Read loglevel from file -- allows runtime change"  ON)
FD_EXTENSION_SUBDIR(dbg_monitor     "Outputs periodical status information"              ON)
FD_EXTENSION_SUBDIR(dbg_msg_timings "Show some timing information for messages"      ON)
FD_EXTENSION_SUBDIR(dbg_msg_dumps   "Show human-readable content of the received & sent messages"      ON)
FD_EXTENSION_SUBDIR(dbg_rt          "Routing extension for debugging the routing module" ON)
FD_EXTENSION_SUBDIR(test_app        "Testing application to send dummy message to another peer, like a Diameter 'ping'" OFF)
FD_EXTENSION_SUBDIR(test_as     "Receive Abort-Session-Requests and display the data" OFF)
FD_EXTENSION_SUBDIR(test_cc     "Receive Credit-Control-Requests and display the data" ON)
FD_EXTENSION_SUBDIR(test_ccload     "Generate Credit-Control-Requests and count replies" ON)
FD_EXTENSION_SUBDIR(test_sip        "Testing application to simulate Diameter-SIP client (RFC4740)" OFF)
FD_EXTENSION_SUBDIR(dbg_interactive "Python-interpreter based module"                OFF)
FD_EXTENSION_SUBDIR(test_netemul    "Simple Diameter network emulator proxy extension (latency, PDV, duplicates)" OFF)



# The following extension have very little use except for specific tests, so we disable them except in Debug configurations.
IF (CMAKE_BUILD_TYPE MATCHES "Debug")
	FD_EXTENSION_SUBDIR(_sample     "Simple extension to demonstrate extension mechanism, for developpers" OFF)
	FD_EXTENSION_SUBDIR(test_acct   "Receive Accounting-Requests and display the data, but no storage" OFF)
	FD_EXTENSION_SUBDIR(test_rt_any "Routing extension randomly sending message to any peer available, for testing purpose" OFF)
ENDIF (CMAKE_BUILD_TYPE MATCHES "Debug")

=== subprojects/freeDiameter/libfdcore/CMakeLists.txt ===
# The subproject name
Project("freeDiameter core library" C)

# Configuration for newer cmake
cmake_policy(VERSION 2.6)
if (POLICY CMP0022)
	cmake_policy(SET CMP0022 OLD)
endif (POLICY CMP0022)

# Configuration parser
BISON_FILE(fdd.y)
FLEX_FILE(fdd.l)
SET_SOURCE_FILES_PROPERTIES(lex.fdd.c fdd.tab.c PROPERTIES COMPILE_FLAGS "-I ${CMAKE_CURRENT_SOURCE_DIR}")

# List of source files
SET(FDCORE_SRC
	fdcore-internal.h
	apps.c
	cnxctx.h
	config.c
	core.c
	cnxctx.c
	endpoints.c
	events.c
	extensions.c
	fifo_stats.c
	hooks.c
	dict_base_proto.c
	messages.c
	queues.c
	peers.c
	p_ce.c
	p_cnx.c
	p_dw.c
	p_dp.c
	p_expiry.c
	p_out.c
	p_psm.c
	p_sr.c
	routing_dispatch.c
	server.c
	tcp.c
	version.c
	)

IF(NOT DISABLE_SCTP)
	SET(FDCORE_SRC ${FDCORE_SRC} sctp.c sctp3436.c)
ENDIF(NOT DISABLE_SCTP)

SET(FDCORE_GEN_SRC
		lex.fdd.c
		fdd.tab.c
		fdd.tab.h
	)
	
# Save the list of files for the tests 
SET(FDCORE_SRC ${FDCORE_SRC} PARENT_SCOPE)
SET(FDCORE_GEN_SRC ${FDCORE_GEN_SRC} PARENT_SCOPE)

# Include path
INCLUDE_DIRECTORIES(${LFDCORE_INCLUDES})
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# Build the executable
ADD_LIBRARY(libfdcore SHARED ${FDCORE_SRC} ${FDCORE_GEN_SRC})
ADD_DEPENDENCIES(libfdcore version_information)

# Avoid the liblib name, and set the version
SET_TARGET_PROPERTIES(libfdcore PROPERTIES 
	OUTPUT_NAME "fdcore"
	SOVERSION ${FD_PROJECT_VERSION_API}
	VERSION ${FD_PROJECT_VERSION_MAJOR}.${FD_PROJECT_VERSION_MINOR}.${FD_PROJECT_VERSION_REV}
	LINK_INTERFACE_LIBRARIES "${LFDCORE_LINK_INTERFACES}")

# The library itself needs other libraries 
LINK_DIRECTORIES(${CURRENT_BINARY_DIR}/../libfdproto)
TARGET_LINK_LIBRARIES(libfdcore libfdproto ${LFDCORE_LIBS})


####
## INSTALL section ##

INSTALL(TARGETS libfdcore
	LIBRARY DESTINATION ${INSTALL_LIBRARY_SUFFIX}
	COMPONENT freeDiameter-common)

=== subprojects/prometheus-client-c/docker/Makefile ===
docker:
	docker build -t prometheus-client-c-dev .

=== subprojects/prometheus-client-c/example/Makefile ===
.PHONY: clean

VERSION = $(shell cat ../VERSION)


GCC = /usr/bin/gcc
FLAGS = -g -Wall
DEPS = foo.h bar.h
OBJ = foo.o bar.o main.o
LIBS = /usr/lib/libprom.so /usr/lib/libpromhttp.so

PROM_DEB_PACKAGE = ../prom/libprom-dev-${VERSION}-Linux.deb
PROM_TGZ_PACKAGE = ../prom/libprom-dev-${VERSION}-Linux.tar.gz

PROMHTTP_DEB_PACKAGE = ../promhttp/libpromhttp-dev-${VERSION}-Linux.deb
PROMHTTP_TGZ_PACKAGE = ../promhttp/libpromhttp-dev-${VERSION}-Linux.tar.gz

example: ${OBJ} ${LIBS}
	gcc -g -o $@ ${FLAGS} -O1 -pthread ${OBJ} -lprom -lpromhttp -lmicrohttpd

${PROM_DEB_PACKAGE}:
	cd .. && ./auto build && ./auto package

${PROMHTTP_DEB_PACKAGE}:
	cd .. && ./auto build && ./auto package

/usr/lib/libprom.so: ${PROM_DEB_PACKAGE}
	dpkg -i ${PROM_DEB_PACKAGE}

/usr/lib/libpromhttp.so: ${PROMHTTP_DEB_PACKAGE}
	dpkg -i ${PROMHTTP_DEB_PACKAGE}

%.o: %.c ${PROM_DEB_PACKAGE} ${PROMHTTP_DEB_PACKAGE} ${LIBS} ${DEPS}
	${GCC} ${FLAGS} -c $< -o $@

clean:
	-rm ${OBJ} example ${PROM_DEB_PACKAGE} ${PROM_TGZ_PACKAGE} ${PROMHTTP_DEB_PACKAGE} ${PROMHTTP_TGZ_PACKAGE}
	-dpkg -r libprom-dev
	-dpkg -r libpromhttp-dev

=== subprojects/prometheus-client-c/prom/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14.5)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

execute_process(
    COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION
    OUTPUT_VARIABLE Version
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(
    COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION
    COMMAND sed --regexp-extended "s/([0-9]+)\.([0-9])+\.([0-9]+)/\\1/g"
    OUTPUT_VARIABLE MajorVersion
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(
    COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION
    COMMAND sed --regexp-extended "s/([0-9]+)\.([0-9])+\.([0-9]+)/\\2/"
    OUTPUT_VARIABLE MinorVersion
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

execute_process(
    COMMAND cat ${CMAKE_CURRENT_SOURCE_DIR}/../VERSION
    COMMAND sed --regexp-extended "s/([0-9]+)\.([0-9])+\.([0-9]+)/\\3/"
    OUTPUT_VARIABLE PatchVersion
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

project(libprom VERSION ${Version} LANGUAGES C)

set(build_dir ${CMAKE_CURRENT_SOURCE_DIR}/build)
set(public_dir ${CMAKE_CURRENT_SOURCE_DIR}/include)
set(private_dir ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(test_dir ${CMAKE_CURRENT_SOURCE_DIR}/test)

set(
    public_files
    ${public_dir}/prom_alloc.h
    ${public_dir}/prom_collector.h
    ${public_dir}/prom_collector_registry.h
    ${public_dir}/prom_counter.h
    ${public_dir}/prom_gauge.h
    ${public_dir}/prom_histogram.h
    ${public_dir}/prom_histogram_buckets.h
    ${public_dir}/prom_linked_list.h
    ${public_dir}/prom_map.h
    ${public_dir}/prom_metric.h
    ${public_dir}/prom_metric_sample.h
    ${public_dir}/prom_metric_sample_histogram.h
    ${public_dir}/prom.h
)

set(
    private_files
    ${private_dir}/prom_assert.h
    ${private_dir}/prom_collector.c
    ${private_dir}/prom_collector_registry.c
    ${private_dir}/prom_collector_registry_i.h
    ${private_dir}/prom_collector_registry_t.h
    ${private_dir}/prom_collector_t.h
    ${private_dir}/prom_counter.c
    ${private_dir}/prom_gauge.c
    ${private_dir}/prom_histogram.c
    ${private_dir}/prom_histogram_buckets.c
    ${private_dir}/prom_linked_list.c
    ${private_dir}/prom_linked_list_i.h
    ${private_dir}/prom_linked_list_t.h
    ${private_dir}/prom_log.h
    ${private_dir}/prom_map.c
    ${private_dir}/prom_map_i.h
    ${private_dir}/prom_map_t.h
    ${private_dir}/prom_metric.c
    ${private_dir}/prom_metric_formatter.c
    ${private_dir}/prom_metric_formatter_i.h
    ${private_dir}/prom_metric_formatter_t.h
    ${private_dir}/prom_metric_i.h
    ${private_dir}/prom_metric_sample.c
    ${private_dir}/prom_metric_sample_histogram.c
    ${private_dir}/prom_metric_sample_histogram_i.h
    ${private_dir}/prom_metric_sample_histogram_t.h
    ${private_dir}/prom_metric_sample_i.h
    ${private_dir}/prom_metric_sample_t.h
    ${private_dir}/prom_metric_t.h
    ${private_dir}/prom_process_fds.c
    ${private_dir}/prom_process_fds_i.h
    ${private_dir}/prom_process_fds_t.h
    ${private_dir}/prom_process_limits.c
    ${private_dir}/prom_process_limits_i.h
    ${private_dir}/prom_process_limits_t.h
    ${private_dir}/prom_process_stat.c
    ${private_dir}/prom_process_stat_i.h
    ${private_dir}/prom_process_stat_t.h
    ${private_dir}/prom_procfs_i.h
    ${private_dir}/prom_procfs_t.h
    ${private_dir}/prom_procfs.c
    ${private_dir}/prom_string_builder.c
    ${private_dir}/prom_string_builder_i.h
    ${private_dir}/prom_string_builder_t.h
)

include(FindThreads)

add_library(prom SHARED)

target_compile_options(prom PRIVATE "-Werror" "-Wuninitialized" "-Wall" "-Wno-unused-label" "-std=gnu11")
target_compile_options(prom PUBLIC "-Werror" "-Wuninitialized" "-Wall" "-Wno-unused-label" "-std=gnu11")

target_include_directories(
    prom
    PUBLIC ${public_dir}
    PRIVATE ${private_dir}
)

target_sources(
    prom
    PUBLIC ${public_files}
    PRIVATE ${private_files}
)

target_link_libraries(prom PUBLIC Threads::Threads)

if ($ENV{TEST})
    include(test/CMakeLists.txt)
endif()

set(CPACK_PACKAGE_NAME libprom-dev)
set(CPACK_GENERATOR TGZ;DEB)
set(CPACK_PACKAGE_VENDOR DigitalOcean)
set(CPACK_PACKAGE_VERSION_MAJOR ${MajorVersion})
set(CPACK_PACKAGE_VERSION_MINOR ${MinorVersion})
set(CPACK_PACKAGE_VERSION_PATCH ${PatchVersion})
set(CPACK_PACKAGE_DESCRIPTION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/../README.md)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A prometheus client library")
set(CPACK_PACKAGE_HOMEPAGE_URL https://github.internal.digitalocean.com/timeseries/prometheus-client-c)

include(CPack)
include(GNUInstallDirs)
install(TARGETS prom ARCHIVE)
install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== subprojects/usrsctp/fuzzer/CMakeLists.txt ===
#
# Copyright (C) 2015-2020 Felix Weinrank
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the project nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

#project(usrsctp-fuzzer C)

#################################################
# INCLUDE MODULES
#################################################

include(CheckIncludeFile)


#################################################
# CHECK INCLUDES
#################################################

include_directories(${CMAKE_SOURCE_DIR}/usrsctplib)


#################################################
# OS DEPENDENT
#################################################

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
	add_definitions(-D_GNU_SOURCE)
endif ()

if (CMAKE_SYSTEM_NAME MATCHES "Darwin")
	add_definitions(-D__APPLE_USE_RFC_2292)
endif ()

#################################################
# COMPILER FLAGS
#################################################

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-gnu-zero-variadic-macro-arguments -Wno-unused-variable")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=fuzzer")


#################################################
# PROGRAMS
#################################################

# FUZZING_STAGE LEVELS
# 0 - MULTI - based on input
# 1 - COOKIE_WAIT
# 2 - COOKIE_ECHO
# 3 - ESTABLISHED
# 4 - DATA SENT
# 5 - DATA RECEIVED

add_executable(fuzzer_listen fuzzer_listen.c ../programs/programs_helper.c)
target_link_libraries(fuzzer_listen usrsctp)

add_executable(fuzzer_listen_verbose fuzzer_listen.c ../programs/programs_helper.c)
target_compile_definitions(fuzzer_listen_verbose PRIVATE FUZZ_VERBOSE)
target_link_libraries(fuzzer_listen_verbose usrsctp)

add_executable(fuzzer_fragment fuzzer_fragment.c ../programs/programs_helper.c)
target_link_libraries(fuzzer_fragment usrsctp)

add_executable(fuzzer_connect_multi fuzzer_connect.c ../programs/programs_helper.c)
target_compile_definitions(fuzzer_connect_multi PRIVATE FUZZING_STAGE=0)
target_link_libraries(fuzzer_connect_multi usrsctp)

add_executable(fuzzer_connect_multi_verbose fuzzer_connect.c ../programs/programs_helper.c)
target_compile_definitions(fuzzer_connect_multi_verbose PRIVATE FUZZING_STAGE=0 FUZZ_VERBOSE)
target_link_libraries(fuzzer_connect_multi_verbose usrsctp)

# add_executable(fuzzer_connect_cookie_wait fuzzer_connect.c)
# target_compile_definitions(fuzzer_connect_cookie_wait PRIVATE FUZZING_STAGE=1)
# target_link_libraries(fuzzer_connect_cookie_wait usrsctp)

# add_executable(fuzzer_connect_cookie_echoed fuzzer_connect.c)
# target_compile_definitions(fuzzer_connect_cookie_echoed PRIVATE FUZZING_STAGE=2)
# target_link_libraries(fuzzer_connect_cookie_echoed usrsctp)

# add_executable(fuzzer_connect_established fuzzer_connect.c)
# target_compile_definitions(fuzzer_connect_established PRIVATE FUZZING_STAGE=3)
# target_link_libraries(fuzzer_connect_established usrsctp)

# add_executable(fuzzer_connect_data_sent fuzzer_connect.c)
# target_compile_definitions(fuzzer_connect_data_sent PRIVATE FUZZING_STAGE=4)
# target_link_libraries(fuzzer_connect_data_sent usrsctp)

# add_executable(fuzzer_connect_data_received fuzzer_connect.c)
# target_compile_definitions(fuzzer_connect_data_received PRIVATE FUZZING_STAGE=5)
# target_link_libraries(fuzzer_connect_data_received usrsctp)

=== subprojects/freeDiameter/contrib/test_Gx/CMakeLists.txt ===
# The dict_nasreq extension
PROJECT("Gx Interface for freediameter" C)

# Compile as a module
FD_ADD_EXTENSION(app_gx main_gx.c)


####
## INSTALL section ##

INSTALL(TARGETS app_gx 
       LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
       COMPONENT freeDiameter-rx-interface)

=== subprojects/freeDiameter/extensions/app_acct/CMakeLists.txt ===
# The app_acct extension
PROJECT("Simple Accounting server" C)

########################
# Search for libpg (postgresql package)
FIND_PACKAGE(PostgreSQL REQUIRED)
INCLUDE_DIRECTORIES(${POSTGRESQL_INCLUDE_DIR})

########################
# Parser files
BISON_FILE(acct_conf.y)
FLEX_FILE(acct_conf.l)
SET_SOURCE_FILES_PROPERTIES(lex.acct_conf.c acct_conf.tab.c PROPERTIES COMPILE_FLAGS "-I ${CMAKE_CURRENT_SOURCE_DIR}")

# List of source files
SET( APP_ACCT_SRC
	app_acct.h
	app_acct.c
	acct_db.c
	acct_records.c
)
SET( APP_ACCT_SRC_GEN
	lex.acct_conf.c
	acct_conf.tab.c
	acct_conf.tab.h
)

# Compile as a module
FD_ADD_EXTENSION(app_acct ${APP_ACCT_SRC} ${APP_ACCT_SRC_GEN})
TARGET_LINK_LIBRARIES(app_acct ${POSTGRESQL_LIBRARIES})


####
## INSTALL section ##

INSTALL(TARGETS app_acct
	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
	COMPONENT freeDiameter-accounting-server)

=== subprojects/freeDiameter/extensions/app_radgw/CMakeLists.txt ===
# The app_radgw extension
PROJECT("RADIUS/Diameter extensible gateway application for freeDiameter" C)


########### Main app_radgw extension #############

# Parser files
BISON_FILE(rgw_conf.y)
FLEX_FILE(rgw_conf.l)
SET_SOURCE_FILES_PROPERTIES(lex.rgw_conf.c rgw_conf.tab.c PROPERTIES COMPILE_FLAGS "-I ${CMAKE_CURRENT_SOURCE_DIR}")

# List of source files
SET( RGW_DEFAULT_SRC
	radius.c
	md5.c
	rgw_msg_codes.c
	rgw_msg_attrtype.c
	rgw_main.c
	lex.rgw_conf.c
	rgw_conf.tab.c
	rgw_conf.tab.h
	rgw_clients.c
	rgw_plugins.c
	rgw_servers.c
	rgw_worker.c
)

SET( RG_COMMON_HEADER
	rgw_common.h
	radius.h
	md5.h
	hostap_compat.h
)

# Compile these files as a freeDiameter extension.
FD_ADD_EXTENSION(app_radgw ${RGW_DEFAULT_SRC} ${RG_COMMON_HEADER})


########### RADIUS/Diameter translation agent plugins (support for RADIUS protocol) ############
# Use the macro RGWX_ADD_PLUGIN(name files...) to create a plugin.
# It is equivalent to add_library with the appropriate parameters
# and naming conventions (.rgwx : Radius GateWay eXtension)
MACRO(RGWX_ADD_PLUGIN PLGNAME)
  ADD_LIBRARY(${PLGNAME} MODULE ${ARGN})
  SET_TARGET_PROPERTIES(${PLGNAME} PROPERTIES PREFIX "" )
  SET_TARGET_PROPERTIES(${PLGNAME} PROPERTIES SUFFIX ".rgwx" )
  INSTALL(TARGETS ${PLGNAME}
	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
	COMPONENT freeDiameter-radius-gateway)
ENDMACRO(RGWX_ADD_PLUGIN)

# Ask unless ALL_EXTENSIONS is set:
MACRO(FD_OPTION_PLUGIN PLGVAR DESCR DEFLT)
   IF (NOT ALL_EXTENSIONS)
     OPTION(BUILD_${PLGVAR} ${DESCR} ${DEFLT})
   ENDIF (NOT ALL_EXTENSIONS)
   IF (BUILD_${PLGVAR} OR ALL_EXTENSIONS)
     SET(${PLGVAR} TRUE)
   ELSE (BUILD_${PLGVAR} OR ALL_EXTENSIONS)
     SET(${PLGVAR} FALSE)
   ENDIF (BUILD_${PLGVAR} OR ALL_EXTENSIONS)
ENDMACRO(FD_OPTION_PLUGIN PLGVAR DESCR DEFLT)


### Debug 
# Example of plugin:

FD_OPTION_PLUGIN(RGWX_SAMPLE "Build sample plugin? (for developers only)" OFF)
 	IF (RGWX_SAMPLE)
 	   RGWX_ADD_PLUGIN(sample ${RG_COMMON_HEADER} rgwx_sample.c)
 	ENDIF (RGWX_SAMPLE)

# A plugin for debug: dumps RADIUS and Diameter messages state at the time the plugin is called.
FD_OPTION_PLUGIN(RGWX_DEBUG "Build debug plugin? (display status of RADIUS and Diameter messages)" ON)
 	IF (RGWX_DEBUG)
 	   RGWX_ADD_PLUGIN(debug ${RG_COMMON_HEADER} rgwx_debug.c)
 	ENDIF (RGWX_DEBUG)


### Authentication, Authorization messages translation.
FD_OPTION_PLUGIN(RGWX_AUTH "Build Authentication & Authorization RADIUS translation plugin? (RFC2865, RFC3579)" ON)
	IF (RGWX_AUTH)
 	   RGWX_ADD_PLUGIN(auth ${RG_COMMON_HEADER} rgwx_auth.c)
	ENDIF (RGWX_AUTH)

### SIP Authentication, Authorization messages translation.
FD_OPTION_PLUGIN(RGWX_SIP "Build SIP RADIUS translation plugin? (RFC4740 or RFC5090)" OFF)
        IF (RGWX_SIP)
           RGWX_ADD_PLUGIN(sip ${RG_COMMON_HEADER} rgwx_sip.c)
        ENDIF (RGWX_SIP)



### Accounting messages translation.
FD_OPTION_PLUGIN(RGWX_ACCT "Build Accounting RADIUS translation plugin? (RFC2866)" ON)
	IF (RGWX_ACCT)
 	   RGWX_ADD_PLUGIN(acct ${RG_COMMON_HEADER} rgwx_acct.c)
	ENDIF (RGWX_ACCT)


### Generic plugin to handle some attributes (either delete them or simply echo them in the answer) 
FD_OPTION_PLUGIN(RGWX_ECHODROP "Build 'echo/drop' plugin? (drop specific RADIUS attributes or echo them in RADIUS answer)" ON)
  	IF (RGWX_ECHODROP)
  	   BISON_FILE(rgwx_echodrop.y)
  	   FLEX_FILE(rgwx_echodrop.l)
  	   SET_SOURCE_FILES_PROPERTIES(lex.rgwx_echodrop.c rgwx_echodrop.tab.c PROPERTIES COMPILE_FLAGS "-I ${CMAKE_CURRENT_SOURCE_DIR}")
 	   RGWX_ADD_PLUGIN(echodrop ${RG_COMMON_HEADER} rgwx_echodrop.h rgwx_echodrop.c lex.rgwx_echodrop.c rgwx_echodrop.tab.c rgwx_echodrop.tab.h )
  	ENDIF (RGWX_ECHODROP)
	
	
####
## INSTALL section ##

INSTALL(TARGETS app_radgw
	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
	COMPONENT freeDiameter-radius-gateway)
	
# Note that all compiled plugins are added by the RGWX_ADD_PLUGIN macro in the component freeDiameter-radius-gateway as well.

=== subprojects/freeDiameter/extensions/app_redirect/CMakeLists.txt ===
# The app_redirect extension
PROJECT("Configurable Redirects server extension" C)

# Check if REG_STARTEND is provided on the host
SET(CHECK_REG_STARTEND_SOURCE_CODE "
	#include <unistd.h>
	#include <regex.h>
	int main() {
	   return regexec(NULL, NULL, 0, NULL, REG_STARTEND);
	}
	")
CHECK_C_SOURCE_COMPILES("${CHECK_REG_STARTEND_SOURCE_CODE}" HAVE_REG_STARTEND)
# Generate the host.h file
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/ard-host.h.in ${CMAKE_CURRENT_BINARY_DIR}/ard-host.h)

# Parser files
BISON_FILE(ard_conf.y)
FLEX_FILE(ard_conf.l)
SET_SOURCE_FILES_PROPERTIES(lex.ard_conf.c ard_conf.tab.c PROPERTIES COMPILE_FLAGS "-I ${CMAKE_CURRENT_SOURCE_DIR}")

# List of source files
SET( APP_REDIR_SRC
	app_redir.c
	app_redir.h
	lex.ard_conf.c
	ard_conf.tab.c
	ard_conf.tab.h
	ard_rules.c
)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

# Compile these files as a freeDiameter extension
FD_ADD_EXTENSION(app_redirect ${APP_REDIR_SRC})


####
## INSTALL section ##

INSTALL(TARGETS app_redirect
	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
	COMPONENT freeDiameter-app_redirect)

=== subprojects/freeDiameter/extensions/dbg_dict_dump/CMakeLists.txt ===
# Dictionary dump extension
PROJECT("Dictionary dump extension" C)
FD_ADD_EXTENSION(dbg_dict_dump dbg_dict_dump.c)


####
## INSTALL section ##

INSTALL(TARGETS dbg_dict_dump
	LIBRARY DESTINATION ${INSTALL_EXTENSIONS_SUFFIX}
	COMPONENT freeDiameter-debug-tools)

=== debian/changelog ===
open5gs (2.7.6) unstable; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 10:02:38 +0900

open5gs (2.7.6~plucky) plucky; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:59:50 +0900

open5gs (2.7.6~oracular) oracular; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:57:14 +0900

open5gs (2.7.6~noble) noble; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:55:32 +0900

open5gs (2.7.6~jammy) jammy; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:53:39 +0900

open5gs (2.7.6~focal) focal; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:51:57 +0900

open5gs (2.7.6~bionic) bionic; urgency=medium

  * Bug Fixed

 -- Sukchan Lee <acetcom@gmail.com>  Sat, 19 Jul 2025 09:49:35 +0900

=== debian/control ===
Source: open5gs
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@gnumonks.org>
Uploaders: Sukchan Lee <acetcom@gmail.com>
Build-Depends: debhelper (>= 11),
               git,
               pkg-config,
               meson (>= 0.43.0),
               cmake,
               flex,
               bison,
               libgnutls28-dev,
               libgcrypt-dev,
               libssl-dev,
               libidn-dev | libidn11-dev,
               libmongoc-dev,
               libbson-dev,
               libsctp-dev,
               libyaml-dev,
               libmicrohttpd-dev,
               libcurl4-gnutls-dev,
               libnghttp2-dev,
               libtins-dev,
               libtalloc-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://open5gs.org
Vcs-Browser: https://github.com/open5gs/open5gs
Vcs-Git: git://github.com/open5gs/open5gs

Package: open5gs-common
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: 5G Core and EPC (Shared Files)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains some core libraries/plugins required by the other
 binary packages such as open5gs-{mme,sgwc,sgwu,amf,smf,upf,...}.

Package: open5gs-mme
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: MME (Mobility Management Entity)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the MME (Mobility Management Engine), which
 terminates the S1 interfaces from the eNodeBs cells in the cellular
 network, and interfaces via S11 to the SGW-C as well as via S6a to the
 HSS.

Package: open5gs-sgwc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SGW-C (Serving Gateway - Control Plane)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SGW-C (Serving Gateway - Control Plane)
 which is situated between the MME and PGW. It implements the S11 interface
 to the MME, and the S5 interface to the SMF-C.

Package: open5gs-smf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SMF (Session Management Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SMF (Session Management Function)

Package: open5gs-amf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: AMF (Access and Mobility Management Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the AMF (Access and Mobility Management Function)

Package: open5gs-sgwu
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SGW-U (Serving Gateway - User Plane)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SGW-U (Serving Gateway - User Plane)
 which is situated between the eNB and UPF. It implements the S1U interface
 to the eNB, and the S5U interface to the SMF-U.

Package: open5gs-upf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         udev,
         open5gs-common (= ${binary:Version})
Description: UPF (User Plane Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UPF (User Plane Function)

Package: open5gs-hss
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mongodb-org | mongodb,
         open5gs-common (= ${binary:Version})
Description: HSS (Home Subscriber Server)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the HSS (Home Subscriber Server) element of the
 EPC, i.e. the central database of mobile network subscribers, with
 their IMSI, MSISDN, cryptographic key materials, service subscription
 information, etc.  It implements the S6a interface towards the MME
 using the DIAMETER protocol.

Package: open5gs-pcrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mongodb-org | mongodb,
         open5gs-common (= ${binary:Version})
Description: PCRF (Policy and Charging Rules Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains the PCRF (Policy and Charging Rules Function),
 which controls the service quality (QoS) of individual connections and
 how to account/charge related traffic.  It implements the Gx interface
 towards the SMF-C using the DIAMETER protocol.

Package: open5gs-nrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: NRF (Network Repository Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the NRF (Network Repository Function)

Package: open5gs-scp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SCP (Network Repository Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SCP (Service Communication Proxy)

Package: open5gs-sepp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SEPP (Security Edge Protection Proxy)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SEPP (Security Edge Protection Proxy)

Package: open5gs-ausf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: AUSF (Authentication Server Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the AUSF (Authentication Server Function)

Package: open5gs-udm
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: UDM (Unified Data Management)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UDM (Unified Data Managemement)

Package: open5gs-pcf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: PCF (Policy Control Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the PCF (Policy Control Function)

Package: open5gs-nssf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: NSSF (Network Slice Selection Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the NSSF (Network Slice Selection Function)

Package: open5gs-bsf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: BSF (Binding Support Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the BSF (Binding Support Function)

Package: open5gs-udr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: UDR (Unified Data Repository)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UDR (Unified Data Repository)

Package: open5gs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         open5gs-common (= ${binary:Version}),
         open5gs-mme (= ${binary:Version}),
         open5gs-sgwc (= ${binary:Version}),
         open5gs-smf (= ${binary:Version}),
         open5gs-amf (= ${binary:Version}),
         open5gs-sgwu (= ${binary:Version}),
         open5gs-upf (= ${binary:Version}),
         open5gs-hss (= ${binary:Version}),
         open5gs-pcrf (= ${binary:Version}),
         open5gs-nrf (= ${binary:Version}),
         open5gs-scp (= ${binary:Version}),
         open5gs-sepp (= ${binary:Version}),
         open5gs-ausf (= ${binary:Version}),
         open5gs-udm (= ${binary:Version}),
         open5gs-pcf (= ${binary:Version}),
         open5gs-nssf (= ${binary:Version}),
         open5gs-bsf (= ${binary:Version}),
         open5gs-udr (= ${binary:Version})
Description: 5G Core and EPC (metapackage)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This is a metapackage that depends on all the open5gs parts.

Package: open5gs-dbg
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         open5gs (= ${binary:Version})
Description: Debug symbols for Open5GS
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains debug symbols for Open5GS.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=meson

override_dh_install:
	dh_install --sourcedir=obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_test:
	cd obj-$(DEB_HOST_GNU_TYPE) && meson test -v --suite unit

=== subprojects/freeDiameter/contrib/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Comment this out if you want to include the tests when the package is built
skip_the_tests=-DBUILD_TESTING:BOOL=OFF

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- $(skip_the_tests) \
		-DCMAKE_BUILD_TYPE:STRING=DebianPackage \
		-DDEFAULT_CONF_PATH:PATH=/etc/freeDiameter \
		-DALL_EXTENSIONS:BOOL=ON

## open5gs 2.7.6.4730.0516.202507192026

=== debian/changelog ===
open5gs (2.7.6.4730.0516.202507192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 19 Jul 2025 20:27:54 +0000

## open5gs 2.7.6.4731.e3c3.202507202026

=== debian/changelog ===
open5gs (2.7.6.4731.e3c3.202507202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 20 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4735.60a9.202507212026

=== debian/changelog ===
open5gs (2.7.6.4735.60a9.202507212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 21 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4737.f73d.202507222026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 22 Jul 2025 20:27:57 +0000

## open5gs 2.7.6.4737.f73d.202507232026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 23 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4737.f73d.202507242026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 24 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4737.f73d.202507252026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 25 Jul 2025 20:27:57 +0000

## open5gs 2.7.6.4737.f73d.202507262026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 26 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4737.f73d.202507272026

=== debian/changelog ===
open5gs (2.7.6.4737.f73d.202507272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 27 Jul 2025 20:27:56 +0000

## open5gs 2.7.6.4739.ad80.202507282026

=== debian/changelog ===
open5gs (2.7.6.4739.ad80.202507282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 28 Jul 2025 20:27:58 +0000

## open5gs 2.7.6.4739.ad80.202507292026

=== debian/changelog ===
open5gs (2.7.6.4739.ad80.202507292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 29 Jul 2025 20:27:58 +0000

## open5gs 2.7.6.4740.4e21.202507302026

=== debian/changelog ===
open5gs (2.7.6.4740.4e21.202507302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 30 Jul 2025 20:27:58 +0000

## open5gs 2.7.6.4740.4e21.202507312026

=== debian/changelog ===
open5gs (2.7.6.4740.4e21.202507312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 31 Jul 2025 20:27:58 +0000

## open5gs 2.7.6.4740.4e21.202508012026

=== subprojects/usrsctp/programs/CMakeLists.txt ===
#
# Copyright (C) 2015-2015 Oleg Alexeenkov
# Copyright (C) 2015-2020 Felix Weinrank
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the project nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#


#################################################
# INCLUDE MODULES
#################################################

include(CheckIncludeFile)


#################################################
# CHECK INCLUDES
#################################################

include_directories(${CMAKE_SOURCE_DIR}/usrsctplib)


#################################################
# OS DEPENDENT
#################################################

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
	add_definitions(-D_GNU_SOURCE)
endif ()

if (CMAKE_SYSTEM_NAME MATCHES "Darwin")
	add_definitions(-D__APPLE_USE_RFC_2292)
endif ()

if (MSYS OR MINGW)
	message(STATUS "MSYS / MINGW")
	add_definitions(-D__USE_MINGW_ANSI_STDIO)
	# 0x0601 = Windows 7 API
	add_definitions(-DWINVER=0x0601)
	add_definitions(-D_WIN32_WINNT=0x0601)

	if (CMAKE_C_COMPILER_ID MATCHES "GNU")
		message(STATUS "MSYS / MINGW + GCC")
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format")
	endif ()
endif ()


#################################################
# MISC
#################################################

find_package(Threads)


#################################################
# PROGRAMS
#################################################

list(APPEND check_programs
	chargen_server_upcall.c
	client.c
	client_upcall.c
	daytime_server.c
	daytime_server_upcall.c
	discard_server.c
	discard_server_upcall.c
	echo_server.c
	echo_server_upcall.c
	ekr_client.c
	ekr_loop.c
	ekr_loop_upcall.c
	ekr_peer.c
	ekr_server.c
	http_client.c
	http_client_upcall.c
	rtcweb.c
	st_client.c
	test_libmgmt.c
	test_timer.c
	tsctp.c
	tsctp_upcall.c
)

foreach (source_file ${check_programs})
	get_filename_component(source_file_we ${source_file} NAME_WE)
	add_executable(
		${source_file_we}
		${source_file}
		programs_helper.c
	)

	target_link_libraries(
		${source_file_we}
		"usrsctp"
		${CMAKE_THREAD_LIBS_INIT}
	)
endforeach ()

=== debian/changelog ===
open5gs (2.7.6.4740.4e21.202508012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 01 Aug 2025 20:27:57 +0000

## open5gs 2.7.6.4742.d787.202508032026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 03 Aug 2025 20:27:57 +0000

## open5gs 2.7.6.4742.d787.202508042026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 04 Aug 2025 20:27:56 +0000

## open5gs 2.7.6.4742.d787.202508052026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 05 Aug 2025 20:27:57 +0000

## open5gs 2.7.6.4742.d787.202508062026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 06 Aug 2025 20:27:57 +0000

## open5gs 2.7.6.4742.d787.202508072026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 07 Aug 2025 20:27:57 +0000

## open5gs 2.7.6.4742.d787.202508082026

=== debian/changelog ===
open5gs (2.7.6.4742.d787.202508082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 08 Aug 2025 20:27:57 +0000
